| CMSIS-CORE Version 3.01 CMSIS-CORE support for Cortex-M processor-based devices

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

Data Fields
SysTick_Type Struct Reference

Structure type to access the System Timer (SysTick).

## Data Fields

__IO uint32_t | CTRL
| Offset: 0x000 (R/W) SysTick Control and Status Register.
__IO uint32_t | LOAD
| Offset: 0x004 (R/W) SysTick Reload Value Register.
__IO uint32_t | VAL
| Offset: 0x008 (R/W) SysTick Current Value Register.
__I uint32_t | CALIB
| Offset: 0x00C (R/ ) SysTick Calibration Register.

## Field Documentation

__I uint32_t SysTick_Type::CALIB

__IO uint32_t SysTick_Type::CTRL

__IO uint32_t SysTick_Type::LOAD

__IO uint32_t SysTick_Type::VAL